## org.mariadb.jdbc
Class CallableParameterMetaData

    java.lang.Object
      org.mariadb.jdbc.CallableParameterMetaData

All Implemented Interfaces:
  ParameterMetaData, Wrapper

    public class CallableParameterMetaData

extends Object
implements ParameterMetaData

Field Summary

Fields inherited from interface java.sql.ParameterMetaData
`parameterModeIn, parameterModeInOut, parameterModeOut, parameterModeUnknown, parameterNoNulls, parameterNullable, parameterNullableUnknown`

Constructor Summary
`CallableParameterMetaData(MariaDbConnection con, String database, String name, boolean isFunction)` Retrieve Callable metaData.

Method Summary
`String` `getDatabase()`
`String` `getName(int param)`
`String` `getParameterClassName(int param)`
`int` `getParameterCount()`
`int` `getParameterMode(int param)` Get mode info.
`int` `getParameterType(int param)`
`String` `getParameterTypeName(int param)`
`int` `getPrecision(int param)`
`int` `getScale(int param)`
`int` `isNullable(int param)`
`boolean` `isSigned(int param)`
`boolean` `isWrapperFor(Class<?> iface)`
`void` `readMetadata()` Read procedure metadata from mysql.proc table(column param_list).
`void` `readMetadataFromDbIfRequired()` Search metaData if not already loaded.

`

`<T> T`

`

`unwrap(Class<T> iface)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallableParameterMetaData

    public CallableParameterMetaData(MariaDbConnection con,
                                     String database,
                                     String name,
                                     boolean isFunction)

  Retrieve Callable metaData.

  Parameters:
    `con` - connection
    `database` - database name
    `name` - procedure/function name
    `isFunction` - is it a function

Method Detail

### readMetadataFromDbIfRequired

    public void readMetadataFromDbIfRequired()
                                      throws SQLException

  Search metaData if not already loaded.

  Throws:
    `SQLException` - if error append during loading metaData

### readMetadata

    public void readMetadata()
                      throws SQLException

  Read procedure metadata from mysql.proc table(column param_list).

  Throws:
    `SQLException` - if data doesn't correspond.

### getParameterCount

    public int getParameterCount()
                          throws SQLException

  Specified by:
    `getParameterCount` in interface `ParameterMetaData`
  Throws:
    `SQLException`

### isNullable

    public int isNullable(int param)
                   throws SQLException

  Specified by:
    `isNullable` in interface `ParameterMetaData`
  Throws:
    `SQLException`

### isSigned

    public boolean isSigned(int param)
                     throws SQLException

  Specified by:
    `isSigned` in interface `ParameterMetaData`
  Throws:
    `SQLException`

### getPrecision

    public int getPrecision(int param)
                     throws SQLException

  Specified by:
    `getPrecision` in interface `ParameterMetaData`
  Throws:
    `SQLException`

### getScale

    public int getScale(int param)
                 throws SQLException

  Specified by:
    `getScale` in interface `ParameterMetaData`
  Throws:
    `SQLException`

### getParameterType

    public int getParameterType(int param)
                         throws SQLException

  Specified by:
    `getParameterType` in interface `ParameterMetaData`
  Throws:
    `SQLException`

### getParameterTypeName

    public String getParameterTypeName(int param)
                                throws SQLException

  Specified by:
    `getParameterTypeName` in interface `ParameterMetaData`
  Throws:
    `SQLException`

### getParameterClassName

    public String getParameterClassName(int param)
                                 throws SQLException

  Specified by:
    `getParameterClassName` in interface `ParameterMetaData`
  Throws:
    `SQLException`

### getParameterMode

    public int getParameterMode(int param)
                         throws SQLException

  Get mode info.
  - 0 : unknown
  - 1 : IN
  - 2 : INOUT
  - 4 : OUT

  Specified by:
    `getParameterMode` in interface `ParameterMetaData`
  Parameters:
    `param` - parameter index
  Returns:
    mode information
  Throws:
    `SQLException` - if index is wrong

### getName

    public String getName(int param)
                   throws SQLException

  Throws:
    `SQLException`

### unwrap

    public <T> T unwrap(Class<T> iface)
             throws SQLException

  Specified by:
    `unwrap` in interface `Wrapper`
  Throws:
    `SQLException`

### isWrapperFor

    public boolean isWrapperFor(Class<?> iface)
                         throws SQLException

  Specified by:
    `isWrapperFor` in interface `Wrapper`
  Throws:
    `SQLException`

### getDatabase

    public String getDatabase()
                       throws SQLException

  Throws:
    `SQLException`

Copyright © 2017. All rights reserved.